Subject: [eap] Re: EAP-Failure

From: Bernard Aboba <[email-masked]>
Date: Wed, 17 Sep 2003 09:41:28 -0700 (PDT)

> Does EAP-Failure have the same function as a 802.11 MAC Disassociate
> message. Ie would it disassociate a client if sent from an adversary?

No. EAP-Failure only has an effect in circumstances where the method
expects it.  That means that where a method provides its own protected
success/failure indications, if an adversary spoofs an EAP Failure (or
Success) it will be silently discarded. See RFC 2284bis-05, Section 4.2.
_______________________________________________
eap mailing list
[email-masked]
http://mail.frascone.com/mailman/listinfo/eap